> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send with SMTP

> Send Loops emails over SMTP.

You can send transactional emails over SMTP, meaning you can use Loops to power emails in platforms like Supabase and development tools and frameworks like Laravel, Rails, Django and Nodemailer.

## How it works

The Loops way of sending emails over SMTP is a bit different from other services.

**1. Create emails in Loops**

First, you create transactional email templates in [the Loops editor](https://loops.so/docs/creating-emails/editor.md) for the emails you want to send.

Our rich editor helps you create beautiful, client-compatible *and* easy-to-update emails rather than hand-coding them.

**2. Send emails from your application**

Use these SMTP settings in your application:

| Field | Value |
| - | - |
| Host | `smtp.loops.so` |
| Port number | `587` |
| Username | `loops` |
| Password | An API key copied from your [API settings](https://app.loops.so/settings?page=api) in Loops |

Then, when it comes to sending emails, instead of the content of an email, you send an API-like request body like this:

```json theme={"dark"}
{
  "transactionalId": "clomzp89u035xl50px7wrl0ri",
  "email": "test@example.com",
  "dataVariables": {
    "confirmationUrl": "https://myapp.com/confirm/12345/"
  }
}
```

This content **needs to be converted to a string** and then sent as the email body.

Loops takes the provided data and compiles an email using the template you specify in the `transactionalId` value plus the provided `dataVariables`, then sends the email to `email`.

> [!WARNING]
>
> Every email sent using Loops' SMTP service requires a transactional email to be set up in your Loops account. Note the `transactionalId` value in the email payload.

## SMTP Integrations

Learn how to set up SMTP in platforms and developer tools.

### Integrations

> [card] [Auth0](https://loops.so/docs/integrations/auth0.md)
>
> Send Auth0 authentication emails with Loops.

> [card] [Novu](https://loops.so/docs/integrations/novu.md)
>
> Send Novu notification emails with Loops.

> [card] [Supabase](https://loops.so/docs/smtp/supabase.md)
>
> Send Supabase authentication emails with Loops.

### Frameworks

> [card] [Django](https://loops.so/docs/smtp/django.md)
>
> Send transactional emails from your Django project.

> [card] [Laravel](https://loops.so/docs/smtp/laravel.md)
>
> Send transactional emails from your Laravel project.

> [card] [Ruby on Rails](https://loops.so/docs/smtp/rails.md)
>
> Send transactional emails from your Rails project.


## Related topics

- [Loops SDKs](https://loops.so/docs/sdks.md)
- [Supabase - Send emails](https://loops.so/docs/integrations/supabase/send-email.md)
- [Supabase SMTP](https://loops.so/docs/smtp/supabase.md)
- [Django SMTP](https://loops.so/docs/smtp/django.md)
- [Ruby on Rails](https://loops.so/docs/smtp/rails.md)
